<?php

add_action( 'admin_menu', 'forest_nature_gettingstarted' );
function forest_nature_gettingstarted() {
	add_theme_page( esc_html__('Theme Documentation', 'forest-nature'), esc_html__('Theme Documentation', 'forest-nature'), 'edit_theme_options', 'forest-nature-guide-page', 'forest_nature_guide');
}

function forest_nature_admin_theme_style() {
   wp_enqueue_style('forest-nature-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/dashboard/dashboard.css');
}
add_action('admin_enqueue_scripts', 'forest_nature_admin_theme_style');

if ( ! defined( 'FOREST_NATURE_SUPPORT' ) ) {
define('FOREST_NATURE_SUPPORT',__('https://wordpress.org/support/theme/forest-nature','forest-nature'));
}
if ( ! defined( 'FOREST_NATURE_REVIEW' ) ) {
define('FOREST_NATURE_REVIEW',__('https://wordpress.org/support/theme/forest-nature/reviews/#new-post','forest-nature'));
}
if ( ! defined( 'FOREST_NATURE_LIVE_DEMO' ) ) {
define('FOREST_NATURE_LIVE_DEMO',__('https://www.ovationthemes.com/demos/forest-nature/','forest-nature'));
}
if ( ! defined( 'FOREST_NATURE_BUY_PRO' ) ) {
define('FOREST_NATURE_BUY_PRO',__('https://www.ovationthemes.com/wordpress/nature-wordpress-theme/','forest-nature'));
}
if ( ! defined( 'FOREST_NATURE_PRO_DOC' ) ) {
define('FOREST_NATURE_PRO_DOC',__('https://ovationthemes.com/docs/ot-forest-nature-pro/','forest-nature'));
}
if ( ! defined( 'FOREST_NATURE_THEME_NAME' ) ) {
define('FOREST_NATURE_THEME_NAME',__('Premium Forest Theme','forest-nature'));
}

function forest_nature_enqueue_admin_script( $hook ) {

	// Admin JS
	wp_enqueue_script( 'forest-nature-admin.js', get_theme_file_uri( '/assets/js/forest-nature-admin.js' ), array( 'jquery' ), true );

	wp_localize_script('forest-nature-admin.js', 'forest_nature_scripts_localize',
        array(
            'ajax_url' => esc_url(admin_url('admin-ajax.php'))
        )
    );
}
add_action( 'admin_enqueue_scripts', 'forest_nature_enqueue_admin_script' );

/**
 * Theme Info Page
 */
function forest_nature_guide() {

	// Theme info
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( '' ); ?>

	<div class="getting-started__header">
		<div class="col-md-10">
			<h2><?php echo esc_html( $theme ); ?></h2>
			<p><?php esc_html_e('Version: ', 'forest-nature'); ?><?php echo esc_html($theme['Version']);?></p>
		</div>
		<div class="col-md-2">
			<div class="btn_box">
				<a class="button-primary" href="<?php echo esc_url( FOREST_NATURE_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support', 'forest-nature'); ?></a>
				<a class="button-primary" href="<?php echo esc_url( FOREST_NATURE_REVIEW ); ?>" target="_blank"><?php esc_html_e('Review', 'forest-nature'); ?></a>
			</div>
		</div>
	</div>

	<div class="wrap getting-started">
		<div class="container">
			<div class="col-md-9">
				<div class="leftbox">
					<h3><?php esc_html_e('Documentation','forest-nature'); ?></h3>
					<p><?php esc_html_e('To step the forest theme follow the below steps.','forest-nature'); ?></p>

					<h4><?php esc_html_e('1. Setup Logo','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Site Identity >> Upload your logo or Add site title and site description.','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','forest-nature'); ?></a>

					<h4><?php esc_html_e('2. Setup Contact Info','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Header >> Add your phone number and email address.','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=forest_nature_header') ); ?>" target="_blank"><?php esc_html_e('Add Header Details','forest-nature'); ?></a>

					<h4><?php esc_html_e('3. Setup Menus','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Menus >> Create Menus >> Add pages, post or custom link then save it.','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Add Menus','forest-nature'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Widgets >> Add widgets in footer 1, footer 2, footer 3, footer 4. >> ','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widgets','forest-nature'); ?></a>

					<h4><?php esc_html_e('5. Setup Footer Text','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Footer Text >> Add copyright text. >> ','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=forest_nature_footer_copyright') ); ?>" target="_blank"><?php esc_html_e('Footer Text','forest-nature'); ?></a>

					<h3><?php esc_html_e('Setup Home Page','forest-nature'); ?></h3>
					<p><?php esc_html_e('To step the home page follow the below steps.','forest-nature'); ?></p>

					<h4><?php esc_html_e('1. Setup Page','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Pages >> Add New Page >> Select "Custom Home Page" from templates. >> Publish it.','forest-nature'); ?></p>
					<a class="dashboard_add_new_page button-primary"><?php esc_html_e('Add New Page','forest-nature'); ?></a>

					<h4><?php esc_html_e('2. Setup Slider','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','forest-nature'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Slider Settings >> Select post.','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=forest_nature_slider_section') ); ?>" target="_blank"><?php esc_html_e('Add Slider','forest-nature'); ?></a>

					<h4><?php esc_html_e('3. Setup Services','forest-nature'); ?></h4>
					<p><?php esc_html_e('Go to dashboard >> Post >> Add New Post >> Add title, content and featured image >> Publish it.','forest-nature'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Services Settings >> Select post','forest-nature'); ?></p>
					<p><?php esc_html_e('Go to dashboard >> Appearance >> Customize >> Services Settings >> Add Fontawesome icons classes ex: fas fa-envelope','forest-nature'); ?></p>
					<a class="button-primary" href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=forest_nature_services_section') ); ?>" target="_blank"><?php esc_html_e('Add Services Post','forest-nature'); ?></a>
				</div>
          	</div>
			<div class="col-md-3">
				<h3><?php echo esc_html(FOREST_NATURE_THEME_NAME); ?></h3>
				<img class="forest_nature_img_responsive" style="width: 100%;" src="<?php echo esc_url( $theme->get_screenshot() ); ?>" />
				<div class="pro-links">
					<hr>
			    	<a class="button-primary livedemo" href="<?php echo esc_url( FOREST_NATURE_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'forest-nature'); ?></a>
					<a class="button-primary buynow" href="<?php echo esc_url( FOREST_NATURE_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'forest-nature'); ?></a>
					<a class="button-primary docs" href="<?php echo esc_url( FOREST_NATURE_PRO_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation', 'forest-nature'); ?></a>
					<hr>
				</div>
				<ul style="padding-top:10px">
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'forest-nature');?> </li>
                    <li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'forest-nature');?> </li>
                   	<li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'forest-nature');?> </li>
                   	<li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'forest-nature');?> </li>
                   	<li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'forest-nature');?> </li>
                   	<li class="upsell-forest_nature"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'forest-nature');?> </li>
                </ul>
        	</div>
		</div>
	</div>

<?php }?>
